published on Thursday, Sep 17, 2026 by Checkly
published on Thursday, Sep 17, 2026 by Checkly
gRPC monitors allow you to monitor gRPC services, either via a health check (HEALTH mode) or by invoking a unary method (BEHAVIOR mode).
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as checkly from "@checkly/pulumi";
// Basic gRPC monitor using a health check (HEALTH mode)
const example_grpc_monitor = new checkly.GrpcMonitor("example-grpc-monitor", {
name: "Example gRPC monitor",
activated: true,
shouldFail: false,
frequency: 1,
useGlobalAlertSettings: true,
locations: ["us-west-1"],
request: {
host: "grpcb.in",
port: 9000,
grpcMode: "HEALTH",
service: "grpcbin.GRPCBin",
},
});
// A more complex example invoking a unary method (BEHAVIOR mode) with
// metadata, assertions and an alert/retry policy
const example_grpc_monitor_2 = new checkly.GrpcMonitor("example-grpc-monitor-2", {
name: "Example gRPC monitor 2",
activated: true,
shouldFail: false,
frequency: 5,
locations: [
"us-west-1",
"eu-central-1",
],
alertSettings: {
escalationType: "RUN_BASED",
runBasedEscalations: [{
failedRunThreshold: 1,
}],
reminders: [{
amount: 1,
}],
},
retryStrategy: {
type: "FIXED",
baseBackoffSeconds: 60,
maxDurationSeconds: 600,
maxRetries: 3,
sameRegion: false,
},
request: {
host: "grpcb.in",
port: 9000,
grpcMode: "BEHAVIOR",
tls: true,
timeout: 30,
serviceDefinition: "REFLECTION",
method: "grpcbin.GRPCBin/DummyUnary",
message: JSON.stringify({
f_string: "hello",
}),
metadatas: [{
key: "x-api-key",
value: "supersecret",
}],
assertions: [
{
source: "GRPC_STATUS_CODE",
property: "",
comparison: "EQUALS",
target: "0",
},
{
source: "RESPONSE_TIME",
property: "",
comparison: "LESS_THAN",
target: "1000",
},
],
},
});
import pulumi
import json
import pulumi_checkly as checkly
# Basic gRPC monitor using a health check (HEALTH mode)
example_grpc_monitor = checkly.GrpcMonitor("example-grpc-monitor",
name="Example gRPC monitor",
activated=True,
should_fail=False,
frequency=1,
use_global_alert_settings=True,
locations=["us-west-1"],
request={
"host": "grpcb.in",
"port": 9000,
"grpc_mode": "HEALTH",
"service": "grpcbin.GRPCBin",
})
# A more complex example invoking a unary method (BEHAVIOR mode) with
# metadata, assertions and an alert/retry policy
example_grpc_monitor_2 = checkly.GrpcMonitor("example-grpc-monitor-2",
name="Example gRPC monitor 2",
activated=True,
should_fail=False,
frequency=5,
locations=[
"us-west-1",
"eu-central-1",
],
alert_settings={
"escalation_type": "RUN_BASED",
"run_based_escalations": [{
"failed_run_threshold": 1,
}],
"reminders": [{
"amount": 1,
}],
},
retry_strategy={
"type": "FIXED",
"base_backoff_seconds": 60,
"max_duration_seconds": 600,
"max_retries": 3,
"same_region": False,
},
request={
"host": "grpcb.in",
"port": 9000,
"grpc_mode": "BEHAVIOR",
"tls": True,
"timeout": 30,
"service_definition": "REFLECTION",
"method": "grpcbin.GRPCBin/DummyUnary",
"message": json.dumps({
"f_string": "hello",
}),
"metadatas": [{
"key": "x-api-key",
"value": "supersecret",
}],
"assertions": [
{
"source": "GRPC_STATUS_CODE",
"property": "",
"comparison": "EQUALS",
"target": "0",
},
{
"source": "RESPONSE_TIME",
"property": "",
"comparison": "LESS_THAN",
"target": "1000",
},
],
})
package main
import (
"encoding/json"
"github.com/checkly/pulumi-checkly/sdk/v2/go/checkly"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
// Basic gRPC monitor using a health check (HEALTH mode)
_, err := checkly.NewGrpcMonitor(ctx, "example-grpc-monitor", &checkly.GrpcMonitorArgs{
Name: pulumi.String("Example gRPC monitor"),
Activated: pulumi.Bool(true),
ShouldFail: pulumi.Bool(false),
Frequency: pulumi.Int(1),
UseGlobalAlertSettings: pulumi.Bool(true),
Locations: pulumi.StringArray{
pulumi.String("us-west-1"),
},
Request: &checkly.GrpcMonitorRequestArgs{
Host: pulumi.String("grpcb.in"),
Port: pulumi.Int(9000),
GrpcMode: pulumi.String("HEALTH"),
Service: pulumi.String("grpcbin.GRPCBin"),
},
})
if err != nil {
return err
}
tmpJSON0, err := json.Marshal(map[string]interface{}{
"f_string": "hello",
})
if err != nil {
return err
}
json0 := string(tmpJSON0)
// A more complex example invoking a unary method (BEHAVIOR mode) with
// metadata, assertions and an alert/retry policy
_, err = checkly.NewGrpcMonitor(ctx, "example-grpc-monitor-2", &checkly.GrpcMonitorArgs{
Name: pulumi.String("Example gRPC monitor 2"),
Activated: pulumi.Bool(true),
ShouldFail: pulumi.Bool(false),
Frequency: pulumi.Int(5),
Locations: pulumi.StringArray{
pulumi.String("us-west-1"),
pulumi.String("eu-central-1"),
},
AlertSettings: &checkly.GrpcMonitorAlertSettingsArgs{
EscalationType: pulumi.String("RUN_BASED"),
RunBasedEscalations: checkly.GrpcMonitorAlertSettingsRunBasedEscalationArray{
&checkly.GrpcMonitorAlertSettingsRunBasedEscalationArgs{
FailedRunThreshold: pulumi.Int(1),
},
},
Reminders: checkly.GrpcMonitorAlertSettingsReminderArray{
&checkly.GrpcMonitorAlertSettingsReminderArgs{
Amount: pulumi.Int(1),
},
},
},
RetryStrategy: &checkly.GrpcMonitorRetryStrategyArgs{
Type: pulumi.String("FIXED"),
BaseBackoffSeconds: pulumi.Int(60),
MaxDurationSeconds: pulumi.Int(600),
MaxRetries: pulumi.Int(3),
SameRegion: pulumi.Bool(false),
},
Request: &checkly.GrpcMonitorRequestArgs{
Host: pulumi.String("grpcb.in"),
Port: pulumi.Int(9000),
GrpcMode: pulumi.String("BEHAVIOR"),
Tls: pulumi.Bool(true),
Timeout: pulumi.Int(30),
ServiceDefinition: pulumi.String("REFLECTION"),
Method: pulumi.String("grpcbin.GRPCBin/DummyUnary"),
Message: pulumi.String(json0),
Metadatas: checkly.GrpcMonitorRequestMetadataArray{
&checkly.GrpcMonitorRequestMetadataArgs{
Key: pulumi.String("x-api-key"),
Value: pulumi.String("supersecret"),
},
},
Assertions: checkly.GrpcMonitorRequestAssertionArray{
&checkly.GrpcMonitorRequestAssertionArgs{
Source: pulumi.String("GRPC_STATUS_CODE"),
Property: pulumi.String(""),
Comparison: pulumi.String("EQUALS"),
Target: pulumi.String("0"),
},
&checkly.GrpcMonitorRequestAssertionArgs{
Source: pulumi.String("RESPONSE_TIME"),
Property: pulumi.String(""),
Comparison: pulumi.String("LESS_THAN"),
Target: pulumi.String("1000"),
},
},
},
})
if err != nil {
return err
}
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using System.Text.Json;
using Pulumi;
using Checkly = Pulumi.Checkly;
return await Deployment.RunAsync(() =>
{
// Basic gRPC monitor using a health check (HEALTH mode)
var example_grpc_monitor = new Checkly.GrpcMonitor("example-grpc-monitor", new()
{
Name = "Example gRPC monitor",
Activated = true,
ShouldFail = false,
Frequency = 1,
UseGlobalAlertSettings = true,
Locations = new[]
{
"us-west-1",
},
Request = new Checkly.Inputs.GrpcMonitorRequestArgs
{
Host = "grpcb.in",
Port = 9000,
GrpcMode = "HEALTH",
Service = "grpcbin.GRPCBin",
},
});
// A more complex example invoking a unary method (BEHAVIOR mode) with
// metadata, assertions and an alert/retry policy
var example_grpc_monitor_2 = new Checkly.GrpcMonitor("example-grpc-monitor-2", new()
{
Name = "Example gRPC monitor 2",
Activated = true,
ShouldFail = false,
Frequency = 5,
Locations = new[]
{
"us-west-1",
"eu-central-1",
},
AlertSettings = new Checkly.Inputs.GrpcMonitorAlertSettingsArgs
{
EscalationType = "RUN_BASED",
RunBasedEscalations = new[]
{
new Checkly.Inputs.GrpcMonitorAlertSettingsRunBasedEscalationArgs
{
FailedRunThreshold = 1,
},
},
Reminders = new[]
{
new Checkly.Inputs.GrpcMonitorAlertSettingsReminderArgs
{
Amount = 1,
},
},
},
RetryStrategy = new Checkly.Inputs.GrpcMonitorRetryStrategyArgs
{
Type = "FIXED",
BaseBackoffSeconds = 60,
MaxDurationSeconds = 600,
MaxRetries = 3,
SameRegion = false,
},
Request = new Checkly.Inputs.GrpcMonitorRequestArgs
{
Host = "grpcb.in",
Port = 9000,
GrpcMode = "BEHAVIOR",
Tls = true,
Timeout = 30,
ServiceDefinition = "REFLECTION",
Method = "grpcbin.GRPCBin/DummyUnary",
Message = JsonSerializer.Serialize(new Dictionary<string, object?>
{
["f_string"] = "hello",
}),
Metadatas = new[]
{
new Checkly.Inputs.GrpcMonitorRequestMetadataArgs
{
Key = "x-api-key",
Value = "supersecret",
},
},
Assertions = new[]
{
new Checkly.Inputs.GrpcMonitorRequestAssertionArgs
{
Source = "GRPC_STATUS_CODE",
Property = "",
Comparison = "EQUALS",
Target = "0",
},
new Checkly.Inputs.GrpcMonitorRequestAssertionArgs
{
Source = "RESPONSE_TIME",
Property = "",
Comparison = "LESS_THAN",
Target = "1000",
},
},
},
});
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.checkly.GrpcMonitor;
import com.pulumi.checkly.GrpcMonitorArgs;
import com.pulumi.checkly.inputs.GrpcMonitorRequestArgs;
import com.pulumi.checkly.inputs.GrpcMonitorAlertSettingsArgs;
import com.pulumi.checkly.inputs.GrpcMonitorRetryStrategyArgs;
import static com.pulumi.codegen.internal.Serialization.*;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
// Basic gRPC monitor using a health check (HEALTH mode)
var example_grpc_monitor = new GrpcMonitor("example-grpc-monitor", GrpcMonitorArgs.builder()
.name("Example gRPC monitor")
.activated(true)
.shouldFail(false)
.frequency(1)
.useGlobalAlertSettings(true)
.locations("us-west-1")
.request(GrpcMonitorRequestArgs.builder()
.host("grpcb.in")
.port(9000)
.grpcMode("HEALTH")
.service("grpcbin.GRPCBin")
.build())
.build());
// A more complex example invoking a unary method (BEHAVIOR mode) with
// metadata, assertions and an alert/retry policy
var example_grpc_monitor_2 = new GrpcMonitor("example-grpc-monitor-2", GrpcMonitorArgs.builder()
.name("Example gRPC monitor 2")
.activated(true)
.shouldFail(false)
.frequency(5)
.locations(
"us-west-1",
"eu-central-1")
.alertSettings(GrpcMonitorAlertSettingsArgs.builder()
.escalationType("RUN_BASED")
.runBasedEscalations(GrpcMonitorAlertSettingsRunBasedEscalationArgs.builder()
.failedRunThreshold(1)
.build())
.reminders(GrpcMonitorAlertSettingsReminderArgs.builder()
.amount(1)
.build())
.build())
.retryStrategy(GrpcMonitorRetryStrategyArgs.builder()
.type("FIXED")
.baseBackoffSeconds(60)
.maxDurationSeconds(600)
.maxRetries(3)
.sameRegion(false)
.build())
.request(GrpcMonitorRequestArgs.builder()
.host("grpcb.in")
.port(9000)
.grpcMode("BEHAVIOR")
.tls(true)
.timeout(30)
.serviceDefinition("REFLECTION")
.method("grpcbin.GRPCBin/DummyUnary")
.message(serializeJson(
jsonObject(
jsonProperty("f_string", "hello")
)))
.metadatas(GrpcMonitorRequestMetadataArgs.builder()
.key("x-api-key")
.value("supersecret")
.build())
.assertions(
GrpcMonitorRequestAssertionArgs.builder()
.source("GRPC_STATUS_CODE")
.property("")
.comparison("EQUALS")
.target("0")
.build(),
GrpcMonitorRequestAssertionArgs.builder()
.source("RESPONSE_TIME")
.property("")
.comparison("LESS_THAN")
.target("1000")
.build())
.build())
.build());
}
}
resources:
# Basic gRPC monitor using a health check (HEALTH mode)
example-grpc-monitor:
type: checkly:GrpcMonitor
properties:
name: Example gRPC monitor
activated: true
shouldFail: false
frequency: 1
useGlobalAlertSettings: true
locations:
- us-west-1
request:
host: grpcb.in
port: 9000
grpcMode: HEALTH
service: grpcbin.GRPCBin
# A more complex example invoking a unary method (BEHAVIOR mode) with
# metadata, assertions and an alert/retry policy
example-grpc-monitor-2:
type: checkly:GrpcMonitor
properties:
name: Example gRPC monitor 2
activated: true
shouldFail: false
frequency: 5
locations:
- us-west-1
- eu-central-1
alertSettings:
escalationType: RUN_BASED
runBasedEscalations:
- failedRunThreshold: 1
reminders:
- amount: 1
retryStrategy:
type: FIXED
baseBackoffSeconds: 60
maxDurationSeconds: 600
maxRetries: 3
sameRegion: false
request:
host: grpcb.in
port: 9000
grpcMode: BEHAVIOR
tls: true
timeout: 30
serviceDefinition: REFLECTION
method: grpcbin.GRPCBin/DummyUnary
message:
fn::toJSON:
f_string: hello
metadatas:
- key: x-api-key
value: supersecret
assertions:
- source: GRPC_STATUS_CODE
property: ""
comparison: EQUALS
target: '0'
- source: RESPONSE_TIME
property: ""
comparison: LESS_THAN
target: '1000'
Example coming soon!
Assertion Reference
Each assertion block has the shape { source, property, comparison, target }. Which comparisons are allowed, and what target must contain, depend on source. The comparison and target rules are enforced by the Checkly API at apply time; where property is marked as ignored, the API accepts any value but does not use it.
source | property | Allowed comparison values | target |
|---|---|---|---|
RESPONSE_TIME | Leave empty (ignored for this source). | EQUALS, NOT_EQUALS, GREATER_THAN, LESS_THAN | Milliseconds, ≥ 0. |
GRPC_STATUS_CODE | Leave empty (ignored for this source). | EQUALS, NOT_EQUALS, GREATER_THAN, LESS_THAN | Integer 0–16 (standard gRPC status codes; 0 = OK). |
GRPC_HEALTHCHECK_STATUS | Leave empty (ignored for this source). | EQUALS, NOT_EQUALS | Integer 0–3: 0 = UNKNOWN, 1 = SERVING, 2 = NOT_SERVING, 3 = SERVICE_UNKNOWN. Numeric only — labels are not accepted. |
GRPC_RESPONSE | A JSONPath expression into the response message (e.g. $.user.id). | EQUALS, NOT_EQUALS, HAS_KEY, NOT_HAS_KEY, HAS_VALUE, NOT_HAS_VALUE, IS_EMPTY, NOT_EMPTY, GREATER_THAN, LESS_THAN, CONTAINS, NOT_CONTAINS, IS_NULL, NOT_NULL | Free-form string. |
TEXT_BODY | Optional; selects within the serialized response body. | Same set as GRPC_RESPONSE. | Free-form string. |
GRPC_METADATA | A response metadata (header) key. | Same set as GRPC_RESPONSE. | Free-form string. |
Create GrpcMonitor Resource
Resources are created with functions called constructors. To learn more about declaring and configuring resources, see Resources.
Constructor syntax
new GrpcMonitor(name: string, args: GrpcMonitorArgs, opts?: CustomResourceOptions);@overload
def GrpcMonitor(resource_name: str,
args: GrpcMonitorArgs,
opts: Optional[ResourceOptions] = None)
@overload
def GrpcMonitor(resource_name: str,
opts: Optional[ResourceOptions] = None,
frequency: Optional[int] = None,
request: Optional[GrpcMonitorRequestArgs] = None,
activated: Optional[bool] = None,
max_response_time: Optional[int] = None,
name: Optional[str] = None,
degraded_response_time: Optional[int] = None,
frequency_offset: Optional[int] = None,
group_id: Optional[int] = None,
group_order: Optional[int] = None,
locations: Optional[Sequence[str]] = None,
alert_settings: Optional[GrpcMonitorAlertSettingsArgs] = None,
muted: Optional[bool] = None,
description: Optional[str] = None,
private_locations: Optional[Sequence[str]] = None,
alert_channel_subscriptions: Optional[Sequence[GrpcMonitorAlertChannelSubscriptionArgs]] = None,
retry_strategy: Optional[GrpcMonitorRetryStrategyArgs] = None,
run_parallel: Optional[bool] = None,
runtime_id: Optional[str] = None,
should_fail: Optional[bool] = None,
tags: Optional[Sequence[str]] = None,
trigger_incident: Optional[GrpcMonitorTriggerIncidentArgs] = None,
use_global_alert_settings: Optional[bool] = None)func NewGrpcMonitor(ctx *Context, name string, args GrpcMonitorArgs, opts ...ResourceOption) (*GrpcMonitor, error)public GrpcMonitor(string name, GrpcMonitorArgs args, CustomResourceOptions? opts = null)
public GrpcMonitor(String name, GrpcMonitorArgs args)
public GrpcMonitor(String name, GrpcMonitorArgs args, CustomResourceOptions options)
type: checkly:GrpcMonitor
properties: # The arguments to resource properties.
options: # Bag of options to control resource's behavior.
resource "checkly_grpc_monitor" "name" {
# resource properties
}Parameters
- name string
- The unique name of the resource.
- args GrpcMonitorArgs
- The arguments to resource properties.
- opts CustomResourceOptions
- Bag of options to control resource's behavior.
- resource_name str
- The unique name of the resource.
- args GrpcMonitorArgs
- The arguments to resource properties.
- opts ResourceOptions
- Bag of options to control resource's behavior.
- ctx Context
- Context object for the current deployment.
- name string
- The unique name of the resource.
- args GrpcMonitorArgs
- The arguments to resource properties.
- opts ResourceOption
- Bag of options to control resource's behavior.
- name string
- The unique name of the resource.
- args GrpcMonitorArgs
- The arguments to resource properties.
- opts CustomResourceOptions
- Bag of options to control resource's behavior.
- name String
- The unique name of the resource.
- args GrpcMonitorArgs
- The arguments to resource properties.
- options CustomResourceOptions
- Bag of options to control resource's behavior.
Constructor example
The following reference example uses placeholder values for all input properties.
var grpcMonitorResource = new Checkly.GrpcMonitor("grpcMonitorResource", new()
{
Frequency = 0,
Request = new Checkly.Inputs.GrpcMonitorRequestArgs
{
Host = "string",
Port = 0,
Method = "string",
IpFamily = "string",
Message = "string",
Metadatas = new[]
{
new Checkly.Inputs.GrpcMonitorRequestMetadataArgs
{
Key = "string",
Value = "string",
},
},
Assertions = new[]
{
new Checkly.Inputs.GrpcMonitorRequestAssertionArgs
{
Comparison = "string",
Source = "string",
Property = "string",
Target = "string",
},
},
GrpcMode = "string",
ProtoContent = "string",
Service = "string",
ServiceDefinition = "string",
SkipSsl = false,
Timeout = 0,
Tls = false,
},
Activated = false,
MaxResponseTime = 0,
Name = "string",
DegradedResponseTime = 0,
FrequencyOffset = 0,
GroupId = 0,
GroupOrder = 0,
Locations = new[]
{
"string",
},
AlertSettings = new Checkly.Inputs.GrpcMonitorAlertSettingsArgs
{
EscalationType = "string",
ParallelRunFailureThresholds = new[]
{
new Checkly.Inputs.GrpcMonitorAlertSettingsParallelRunFailureThresholdArgs
{
Enabled = false,
Percentage = 0,
},
},
Reminders = new[]
{
new Checkly.Inputs.GrpcMonitorAlertSettingsReminderArgs
{
Amount = 0,
Interval = 0,
},
},
RunBasedEscalations = new[]
{
new Checkly.Inputs.GrpcMonitorAlertSettingsRunBasedEscalationArgs
{
FailedRunThreshold = 0,
},
},
TimeBasedEscalations = new[]
{
new Checkly.Inputs.GrpcMonitorAlertSettingsTimeBasedEscalationArgs
{
MinutesFailingThreshold = 0,
},
},
},
Muted = false,
Description = "string",
PrivateLocations = new[]
{
"string",
},
AlertChannelSubscriptions = new[]
{
new Checkly.Inputs.GrpcMonitorAlertChannelSubscriptionArgs
{
Activated = false,
ChannelId = 0,
},
},
RetryStrategy = new Checkly.Inputs.GrpcMonitorRetryStrategyArgs
{
Type = "string",
BaseBackoffSeconds = 0,
MaxDurationSeconds = 0,
MaxRetries = 0,
OnlyOn = null,
SameRegion = false,
},
RunParallel = false,
RuntimeId = "string",
ShouldFail = false,
Tags = new[]
{
"string",
},
TriggerIncident = new Checkly.Inputs.GrpcMonitorTriggerIncidentArgs
{
Description = "string",
Name = "string",
NotifySubscribers = false,
ServiceId = "string",
Severity = "string",
},
UseGlobalAlertSettings = false,
});
example, err := checkly.NewGrpcMonitor(ctx, "grpcMonitorResource", &checkly.GrpcMonitorArgs{
Frequency: pulumi.Int(0),
Request: &checkly.GrpcMonitorRequestArgs{
Host: pulumi.String("string"),
Port: pulumi.Int(0),
Method: pulumi.String("string"),
IpFamily: pulumi.String("string"),
Message: pulumi.String("string"),
Metadatas: checkly.GrpcMonitorRequestMetadataArray{
&checkly.GrpcMonitorRequestMetadataArgs{
Key: pulumi.String("string"),
Value: pulumi.String("string"),
},
},
Assertions: checkly.GrpcMonitorRequestAssertionArray{
&checkly.GrpcMonitorRequestAssertionArgs{
Comparison: pulumi.String("string"),
Source: pulumi.String("string"),
Property: pulumi.String("string"),
Target: pulumi.String("string"),
},
},
GrpcMode: pulumi.String("string"),
ProtoContent: pulumi.String("string"),
Service: pulumi.String("string"),
ServiceDefinition: pulumi.String("string"),
SkipSsl: pulumi.Bool(false),
Timeout: pulumi.Int(0),
Tls: pulumi.Bool(false),
},
Activated: pulumi.Bool(false),
MaxResponseTime: pulumi.Int(0),
Name: pulumi.String("string"),
DegradedResponseTime: pulumi.Int(0),
FrequencyOffset: pulumi.Int(0),
GroupId: pulumi.Int(0),
GroupOrder: pulumi.Int(0),
Locations: pulumi.StringArray{
pulumi.String("string"),
},
AlertSettings: &checkly.GrpcMonitorAlertSettingsArgs{
EscalationType: pulumi.String("string"),
ParallelRunFailureThresholds: checkly.GrpcMonitorAlertSettingsParallelRunFailureThresholdArray{
&checkly.GrpcMonitorAlertSettingsParallelRunFailureThresholdArgs{
Enabled: pulumi.Bool(false),
Percentage: pulumi.Int(0),
},
},
Reminders: checkly.GrpcMonitorAlertSettingsReminderArray{
&checkly.GrpcMonitorAlertSettingsReminderArgs{
Amount: pulumi.Int(0),
Interval: pulumi.Int(0),
},
},
RunBasedEscalations: checkly.GrpcMonitorAlertSettingsRunBasedEscalationArray{
&checkly.GrpcMonitorAlertSettingsRunBasedEscalationArgs{
FailedRunThreshold: pulumi.Int(0),
},
},
TimeBasedEscalations: checkly.GrpcMonitorAlertSettingsTimeBasedEscalationArray{
&checkly.GrpcMonitorAlertSettingsTimeBasedEscalationArgs{
MinutesFailingThreshold: pulumi.Int(0),
},
},
},
Muted: pulumi.Bool(false),
Description: pulumi.String("string"),
PrivateLocations: pulumi.StringArray{
pulumi.String("string"),
},
AlertChannelSubscriptions: checkly.GrpcMonitorAlertChannelSubscriptionArray{
&checkly.GrpcMonitorAlertChannelSubscriptionArgs{
Activated: pulumi.Bool(false),
ChannelId: pulumi.Int(0),
},
},
RetryStrategy: &checkly.GrpcMonitorRetryStrategyArgs{
Type: pulumi.String("string"),
BaseBackoffSeconds: pulumi.Int(0),
MaxDurationSeconds: pulumi.Int(0),
MaxRetries: pulumi.Int(0),
OnlyOn: &checkly.GrpcMonitorRetryStrategyOnlyOnArgs{},
SameRegion: pulumi.Bool(false),
},
RunParallel: pulumi.Bool(false),
RuntimeId: pulumi.String("string"),
ShouldFail: pulumi.Bool(false),
Tags: pulumi.StringArray{
pulumi.String("string"),
},
TriggerIncident: &checkly.GrpcMonitorTriggerIncidentArgs{
Description: pulumi.String("string"),
Name: pulumi.String("string"),
NotifySubscribers: pulumi.Bool(false),
ServiceId: pulumi.String("string"),
Severity: pulumi.String("string"),
},
UseGlobalAlertSettings: pulumi.Bool(false),
})
resource "checkly_grpc_monitor" "grpcMonitorResource" {
lifecycle {
create_before_destroy = true
}
frequency = 0
request = {
host = "string"
port = 0
method = "string"
ip_family = "string"
message = "string"
metadatas = [{
key = "string"
value = "string"
}]
assertions = [{
comparison = "string"
source = "string"
property = "string"
target = "string"
}]
grpc_mode = "string"
proto_content = "string"
service = "string"
service_definition = "string"
skip_ssl = false
timeout = 0
tls = false
}
activated = false
max_response_time = 0
name = "string"
degraded_response_time = 0
frequency_offset = 0
group_id = 0
group_order = 0
locations = ["string"]
alert_settings = {
escalation_type = "string"
parallel_run_failure_thresholds = [{
enabled = false
percentage = 0
}]
reminders = [{
amount = 0
interval = 0
}]
run_based_escalations = [{
failed_run_threshold = 0
}]
time_based_escalations = [{
minutes_failing_threshold = 0
}]
}
muted = false
description = "string"
private_locations = ["string"]
alert_channel_subscriptions {
activated = false
channel_id = 0
}
retry_strategy = {
type = "string"
base_backoff_seconds = 0
max_duration_seconds = 0
max_retries = 0
only_on = {}
same_region = false
}
run_parallel = false
runtime_id = "string"
should_fail = false
tags = ["string"]
trigger_incident = {
description = "string"
name = "string"
notify_subscribers = false
service_id = "string"
severity = "string"
}
use_global_alert_settings = false
}
var grpcMonitorResource = new GrpcMonitor("grpcMonitorResource", GrpcMonitorArgs.builder()
.frequency(0)
.request(GrpcMonitorRequestArgs.builder()
.host("string")
.port(0)
.method("string")
.ipFamily("string")
.message("string")
.metadatas(GrpcMonitorRequestMetadataArgs.builder()
.key("string")
.value("string")
.build())
.assertions(GrpcMonitorRequestAssertionArgs.builder()
.comparison("string")
.source("string")
.property("string")
.target("string")
.build())
.grpcMode("string")
.protoContent("string")
.service("string")
.serviceDefinition("string")
.skipSsl(false)
.timeout(0)
.tls(false)
.build())
.activated(false)
.maxResponseTime(0)
.name("string")
.degradedResponseTime(0)
.frequencyOffset(0)
.groupId(0)
.groupOrder(0)
.locations("string")
.alertSettings(GrpcMonitorAlertSettingsArgs.builder()
.escalationType("string")
.parallelRunFailureThresholds(GrpcMonitorAlertSettingsParallelRunFailureThresholdArgs.builder()
.enabled(false)
.percentage(0)
.build())
.reminders(GrpcMonitorAlertSettingsReminderArgs.builder()
.amount(0)
.interval(0)
.build())
.runBasedEscalations(GrpcMonitorAlertSettingsRunBasedEscalationArgs.builder()
.failedRunThreshold(0)
.build())
.timeBasedEscalations(GrpcMonitorAlertSettingsTimeBasedEscalationArgs.builder()
.minutesFailingThreshold(0)
.build())
.build())
.muted(false)
.description("string")
.privateLocations("string")
.alertChannelSubscriptions(GrpcMonitorAlertChannelSubscriptionArgs.builder()
.activated(false)
.channelId(0)
.build())
.retryStrategy(GrpcMonitorRetryStrategyArgs.builder()
.type("string")
.baseBackoffSeconds(0)
.maxDurationSeconds(0)
.maxRetries(0)
.onlyOn(GrpcMonitorRetryStrategyOnlyOnArgs.builder()
.build())
.sameRegion(false)
.build())
.runParallel(false)
.runtimeId("string")
.shouldFail(false)
.tags("string")
.triggerIncident(GrpcMonitorTriggerIncidentArgs.builder()
.description("string")
.name("string")
.notifySubscribers(false)
.serviceId("string")
.severity("string")
.build())
.useGlobalAlertSettings(false)
.build());
grpc_monitor_resource = checkly.GrpcMonitor("grpcMonitorResource",
frequency=0,
request={
"host": "string",
"port": 0,
"method": "string",
"ip_family": "string",
"message": "string",
"metadatas": [{
"key": "string",
"value": "string",
}],
"assertions": [{
"comparison": "string",
"source": "string",
"property": "string",
"target": "string",
}],
"grpc_mode": "string",
"proto_content": "string",
"service": "string",
"service_definition": "string",
"skip_ssl": False,
"timeout": 0,
"tls": False,
},
activated=False,
max_response_time=0,
name="string",
degraded_response_time=0,
frequency_offset=0,
group_id=0,
group_order=0,
locations=["string"],
alert_settings={
"escalation_type": "string",
"parallel_run_failure_thresholds": [{
"enabled": False,
"percentage": 0,
}],
"reminders": [{
"amount": 0,
"interval": 0,
}],
"run_based_escalations": [{
"failed_run_threshold": 0,
}],
"time_based_escalations": [{
"minutes_failing_threshold": 0,
}],
},
muted=False,
description="string",
private_locations=["string"],
alert_channel_subscriptions=[{
"activated": False,
"channel_id": 0,
}],
retry_strategy={
"type": "string",
"base_backoff_seconds": 0,
"max_duration_seconds": 0,
"max_retries": 0,
"only_on": {},
"same_region": False,
},
run_parallel=False,
runtime_id="string",
should_fail=False,
tags=["string"],
trigger_incident={
"description": "string",
"name": "string",
"notify_subscribers": False,
"service_id": "string",
"severity": "string",
},
use_global_alert_settings=False)
const grpcMonitorResource = new checkly.GrpcMonitor("grpcMonitorResource", {
frequency: 0,
request: {
host: "string",
port: 0,
method: "string",
ipFamily: "string",
message: "string",
metadatas: [{
key: "string",
value: "string",
}],
assertions: [{
comparison: "string",
source: "string",
property: "string",
target: "string",
}],
grpcMode: "string",
protoContent: "string",
service: "string",
serviceDefinition: "string",
skipSsl: false,
timeout: 0,
tls: false,
},
activated: false,
maxResponseTime: 0,
name: "string",
degradedResponseTime: 0,
frequencyOffset: 0,
groupId: 0,
groupOrder: 0,
locations: ["string"],
alertSettings: {
escalationType: "string",
parallelRunFailureThresholds: [{
enabled: false,
percentage: 0,
}],
reminders: [{
amount: 0,
interval: 0,
}],
runBasedEscalations: [{
failedRunThreshold: 0,
}],
timeBasedEscalations: [{
minutesFailingThreshold: 0,
}],
},
muted: false,
description: "string",
privateLocations: ["string"],
alertChannelSubscriptions: [{
activated: false,
channelId: 0,
}],
retryStrategy: {
type: "string",
baseBackoffSeconds: 0,
maxDurationSeconds: 0,
maxRetries: 0,
onlyOn: {},
sameRegion: false,
},
runParallel: false,
runtimeId: "string",
shouldFail: false,
tags: ["string"],
triggerIncident: {
description: "string",
name: "string",
notifySubscribers: false,
serviceId: "string",
severity: "string",
},
useGlobalAlertSettings: false,
});
type: checkly:GrpcMonitor
properties:
activated: false
alertChannelSubscriptions:
- activated: false
channelId: 0
alertSettings:
escalationType: string
parallelRunFailureThresholds:
- enabled: false
percentage: 0
reminders:
- amount: 0
interval: 0
runBasedEscalations:
- failedRunThreshold: 0
timeBasedEscalations:
- minutesFailingThreshold: 0
degradedResponseTime: 0
description: string
frequency: 0
frequencyOffset: 0
groupId: 0
groupOrder: 0
locations:
- string
maxResponseTime: 0
muted: false
name: string
privateLocations:
- string
request:
assertions:
- comparison: string
property: string
source: string
target: string
grpcMode: string
host: string
ipFamily: string
message: string
metadatas:
- key: string
value: string
method: string
port: 0
protoContent: string
service: string
serviceDefinition: string
skipSsl: false
timeout: 0
tls: false
retryStrategy:
baseBackoffSeconds: 0
maxDurationSeconds: 0
maxRetries: 0
onlyOn: {}
sameRegion: false
type: string
runParallel: false
runtimeId: string
shouldFail: false
tags:
- string
triggerIncident:
description: string
name: string
notifySubscribers: false
serviceId: string
severity: string
useGlobalAlertSettings: false
GrpcMonitor Resource Properties
To learn more about resource properties and how to use them, see Inputs and Outputs in the Architecture and Concepts docs.
Inputs
In Python, inputs that are objects can be passed either as argument classes or as dictionary literals.
The GrpcMonitor resource accepts the following input properties:
- Activated bool
- Determines if the monitor is running or not. Possible values
true, andfalse. - Frequency int
- Controls how often the monitor should run. Defined in minutes. The allowed values are
0(high frequency - usefrequency_offsetto define the actual frequency),1(1 minute),2(2 minutes),5(5 minutes),10(10 minutes),15(15 minutes),30(30 minutes),60(1 hour),120(2 hours),180(3 hours),360(6 hours),720(12 hours) and1440(24 hours). - Request
Grpc
Monitor Request - The parameters for the gRPC connection.
- Alert
Channel List<GrpcSubscriptions Monitor Alert Channel Subscription> - An array of channel IDs and whether they're activated or not. If you don't set at least one alert channel subscription for your monitor, we won't be able to alert you even if it starts failing.
- Alert
Settings GrpcMonitor Alert Settings - Determines the alert escalation policy for the monitor.
- Degraded
Response intTime - The response time in milliseconds starting from which a monitor should be considered degraded. Possible values are between 0 and 180000. (Default
10000). - Description string
- A description of the monitor.
- Frequency
Offset int - When
frequencyis0(high frequency),frequency_offsetis required and it alone controls how often the monitor should run. Defined in seconds. The allowed values are0(disabled - usefrequencyto define the actual frequency),10(10 seconds),20(20 seconds) and30(30 seconds). - Group
Id int - The id of the check group this monitor is part of.
- Group
Order int - The position of this monitor in a check group. It determines in what order checks and monitors are run when a group is triggered from the API or from CI/CD.
- Locations List<string>
- An array of one or more data center locations where to run this monitor. (Default ["us-east-1"])
- Max
Response intTime - The response time in milliseconds starting from which a monitor should be considered failing. Possible values are between 0 and 180000. (Default
20000). - Muted bool
- Determines if any notifications will be sent out when a monitor fails/degrades/recovers.
- Name string
- The name of the monitor.
- Private
Locations List<string> - An array of one or more private locations slugs.
- Retry
Strategy GrpcMonitor Retry Strategy - A strategy for retrying failed check/monitor runs.
- Run
Parallel bool - Determines if the monitor should run in all selected locations in parallel or round-robin.
- Runtime
Id string - The ID of the runtime to use for this monitor.
- Should
Fail bool - Allows to invert the behaviour of when a monitor is considered to fail.
- List<string>
- A list of tags for organizing and filtering checks and monitors.
- Trigger
Incident GrpcMonitor Trigger Incident - Create and resolve an incident based on the alert configuration. Useful for status page automation.
- Use
Global boolAlert Settings - When true, the account level alert settings will be used, not the alert setting defined on this monitor.
- Activated bool
- Determines if the monitor is running or not. Possible values
true, andfalse. - Frequency int
- Controls how often the monitor should run. Defined in minutes. The allowed values are
0(high frequency - usefrequency_offsetto define the actual frequency),1(1 minute),2(2 minutes),5(5 minutes),10(10 minutes),15(15 minutes),30(30 minutes),60(1 hour),120(2 hours),180(3 hours),360(6 hours),720(12 hours) and1440(24 hours). - Request
Grpc
Monitor Request Args - The parameters for the gRPC connection.
- Alert
Channel []GrpcSubscriptions Monitor Alert Channel Subscription Args - An array of channel IDs and whether they're activated or not. If you don't set at least one alert channel subscription for your monitor, we won't be able to alert you even if it starts failing.
- Alert
Settings GrpcMonitor Alert Settings Args - Determines the alert escalation policy for the monitor.
- Degraded
Response intTime - The response time in milliseconds starting from which a monitor should be considered degraded. Possible values are between 0 and 180000. (Default
10000). - Description string
- A description of the monitor.
- Frequency
Offset int - When
frequencyis0(high frequency),frequency_offsetis required and it alone controls how often the monitor should run. Defined in seconds. The allowed values are0(disabled - usefrequencyto define the actual frequency),10(10 seconds),20(20 seconds) and30(30 seconds). - Group
Id int - The id of the check group this monitor is part of.
- Group
Order int - The position of this monitor in a check group. It determines in what order checks and monitors are run when a group is triggered from the API or from CI/CD.
- Locations []string
- An array of one or more data center locations where to run this monitor. (Default ["us-east-1"])
- Max
Response intTime - The response time in milliseconds starting from which a monitor should be considered failing. Possible values are between 0 and 180000. (Default
20000). - Muted bool
- Determines if any notifications will be sent out when a monitor fails/degrades/recovers.
- Name string
- The name of the monitor.
- Private
Locations []string - An array of one or more private locations slugs.
- Retry
Strategy GrpcMonitor Retry Strategy Args - A strategy for retrying failed check/monitor runs.
- Run
Parallel bool - Determines if the monitor should run in all selected locations in parallel or round-robin.
- Runtime
Id string - The ID of the runtime to use for this monitor.
- Should
Fail bool - Allows to invert the behaviour of when a monitor is considered to fail.
- []string
- A list of tags for organizing and filtering checks and monitors.
- Trigger
Incident GrpcMonitor Trigger Incident Args - Create and resolve an incident based on the alert configuration. Useful for status page automation.
- Use
Global boolAlert Settings - When true, the account level alert settings will be used, not the alert setting defined on this monitor.
- activated bool
- Determines if the monitor is running or not. Possible values
true, andfalse. - frequency number
- Controls how often the monitor should run. Defined in minutes. The allowed values are
0(high frequency - usefrequency_offsetto define the actual frequency),1(1 minute),2(2 minutes),5(5 minutes),10(10 minutes),15(15 minutes),30(30 minutes),60(1 hour),120(2 hours),180(3 hours),360(6 hours),720(12 hours) and1440(24 hours). - request object
- The parameters for the gRPC connection.
- alert_
channel_ list(object)subscriptions - An array of channel IDs and whether they're activated or not. If you don't set at least one alert channel subscription for your monitor, we won't be able to alert you even if it starts failing.
- alert_
settings object - Determines the alert escalation policy for the monitor.
- degraded_
response_ numbertime - The response time in milliseconds starting from which a monitor should be considered degraded. Possible values are between 0 and 180000. (Default
10000). - description string
- A description of the monitor.
- frequency_
offset number - When
frequencyis0(high frequency),frequency_offsetis required and it alone controls how often the monitor should run. Defined in seconds. The allowed values are0(disabled - usefrequencyto define the actual frequency),10(10 seconds),20(20 seconds) and30(30 seconds). - group_
id number - The id of the check group this monitor is part of.
- group_
order number - The position of this monitor in a check group. It determines in what order checks and monitors are run when a group is triggered from the API or from CI/CD.
- locations list(string)
- An array of one or more data center locations where to run this monitor. (Default ["us-east-1"])
- max_
response_ numbertime - The response time in milliseconds starting from which a monitor should be considered failing. Possible values are between 0 and 180000. (Default
20000). - muted bool
- Determines if any notifications will be sent out when a monitor fails/degrades/recovers.
- name string
- The name of the monitor.
- private_
locations list(string) - An array of one or more private locations slugs.
- retry_
strategy object - A strategy for retrying failed check/monitor runs.
- run_
parallel bool - Determines if the monitor should run in all selected locations in parallel or round-robin.
- runtime_
id string - The ID of the runtime to use for this monitor.
- should_
fail bool - Allows to invert the behaviour of when a monitor is considered to fail.
- list(string)
- A list of tags for organizing and filtering checks and monitors.
- trigger_
incident object - Create and resolve an incident based on the alert configuration. Useful for status page automation.
- use_
global_ boolalert_ settings - When true, the account level alert settings will be used, not the alert setting defined on this monitor.
- activated Boolean
- Determines if the monitor is running or not. Possible values
true, andfalse. - frequency Integer
- Controls how often the monitor should run. Defined in minutes. The allowed values are
0(high frequency - usefrequency_offsetto define the actual frequency),1(1 minute),2(2 minutes),5(5 minutes),10(10 minutes),15(15 minutes),30(30 minutes),60(1 hour),120(2 hours),180(3 hours),360(6 hours),720(12 hours) and1440(24 hours). - request
Grpc
Monitor Request - The parameters for the gRPC connection.
- alert
Channel List<GrpcSubscriptions Monitor Alert Channel Subscription> - An array of channel IDs and whether they're activated or not. If you don't set at least one alert channel subscription for your monitor, we won't be able to alert you even if it starts failing.
- alert
Settings GrpcMonitor Alert Settings - Determines the alert escalation policy for the monitor.
- degraded
Response IntegerTime - The response time in milliseconds starting from which a monitor should be considered degraded. Possible values are between 0 and 180000. (Default
10000). - description String
- A description of the monitor.
- frequency
Offset Integer - When
frequencyis0(high frequency),frequency_offsetis required and it alone controls how often the monitor should run. Defined in seconds. The allowed values are0(disabled - usefrequencyto define the actual frequency),10(10 seconds),20(20 seconds) and30(30 seconds). - group
Id Integer - The id of the check group this monitor is part of.
- group
Order Integer - The position of this monitor in a check group. It determines in what order checks and monitors are run when a group is triggered from the API or from CI/CD.
- locations List<String>
- An array of one or more data center locations where to run this monitor. (Default ["us-east-1"])
- max
Response IntegerTime - The response time in milliseconds starting from which a monitor should be considered failing. Possible values are between 0 and 180000. (Default
20000). - muted Boolean
- Determines if any notifications will be sent out when a monitor fails/degrades/recovers.
- name String
- The name of the monitor.
- private
Locations List<String> - An array of one or more private locations slugs.
- retry
Strategy GrpcMonitor Retry Strategy - A strategy for retrying failed check/monitor runs.
- run
Parallel Boolean - Determines if the monitor should run in all selected locations in parallel or round-robin.
- runtime
Id String - The ID of the runtime to use for this monitor.
- should
Fail Boolean - Allows to invert the behaviour of when a monitor is considered to fail.
- List<String>
- A list of tags for organizing and filtering checks and monitors.
- trigger
Incident GrpcMonitor Trigger Incident - Create and resolve an incident based on the alert configuration. Useful for status page automation.
- use
Global BooleanAlert Settings - When true, the account level alert settings will be used, not the alert setting defined on this monitor.
- activated boolean
- Determines if the monitor is running or not. Possible values
true, andfalse. - frequency number
- Controls how often the monitor should run. Defined in minutes. The allowed values are
0(high frequency - usefrequency_offsetto define the actual frequency),1(1 minute),2(2 minutes),5(5 minutes),10(10 minutes),15(15 minutes),30(30 minutes),60(1 hour),120(2 hours),180(3 hours),360(6 hours),720(12 hours) and1440(24 hours). - request
Grpc
Monitor Request - The parameters for the gRPC connection.
- alert
Channel GrpcSubscriptions Monitor Alert Channel Subscription[] - An array of channel IDs and whether they're activated or not. If you don't set at least one alert channel subscription for your monitor, we won't be able to alert you even if it starts failing.
- alert
Settings GrpcMonitor Alert Settings - Determines the alert escalation policy for the monitor.
- degraded
Response numberTime - The response time in milliseconds starting from which a monitor should be considered degraded. Possible values are between 0 and 180000. (Default
10000). - description string
- A description of the monitor.
- frequency
Offset number - When
frequencyis0(high frequency),frequency_offsetis required and it alone controls how often the monitor should run. Defined in seconds. The allowed values are0(disabled - usefrequencyto define the actual frequency),10(10 seconds),20(20 seconds) and30(30 seconds). - group
Id number - The id of the check group this monitor is part of.
- group
Order number - The position of this monitor in a check group. It determines in what order checks and monitors are run when a group is triggered from the API or from CI/CD.
- locations string[]
- An array of one or more data center locations where to run this monitor. (Default ["us-east-1"])
- max
Response numberTime - The response time in milliseconds starting from which a monitor should be considered failing. Possible values are between 0 and 180000. (Default
20000). - muted boolean
- Determines if any notifications will be sent out when a monitor fails/degrades/recovers.
- name string
- The name of the monitor.
- private
Locations string[] - An array of one or more private locations slugs.
- retry
Strategy GrpcMonitor Retry Strategy - A strategy for retrying failed check/monitor runs.
- run
Parallel boolean - Determines if the monitor should run in all selected locations in parallel or round-robin.
- runtime
Id string - The ID of the runtime to use for this monitor.
- should
Fail boolean - Allows to invert the behaviour of when a monitor is considered to fail.
- string[]
- A list of tags for organizing and filtering checks and monitors.
- trigger
Incident GrpcMonitor Trigger Incident - Create and resolve an incident based on the alert configuration. Useful for status page automation.
- use
Global booleanAlert Settings - When true, the account level alert settings will be used, not the alert setting defined on this monitor.
- activated bool
- Determines if the monitor is running or not. Possible values
true, andfalse. - frequency int
- Controls how often the monitor should run. Defined in minutes. The allowed values are
0(high frequency - usefrequency_offsetto define the actual frequency),1(1 minute),2(2 minutes),5(5 minutes),10(10 minutes),15(15 minutes),30(30 minutes),60(1 hour),120(2 hours),180(3 hours),360(6 hours),720(12 hours) and1440(24 hours). - request
Grpc
Monitor Request Args - The parameters for the gRPC connection.
- alert_
channel_ Sequence[Grpcsubscriptions Monitor Alert Channel Subscription Args] - An array of channel IDs and whether they're activated or not. If you don't set at least one alert channel subscription for your monitor, we won't be able to alert you even if it starts failing.
- alert_
settings GrpcMonitor Alert Settings Args - Determines the alert escalation policy for the monitor.
- degraded_
response_ inttime - The response time in milliseconds starting from which a monitor should be considered degraded. Possible values are between 0 and 180000. (Default
10000). - description str
- A description of the monitor.
- frequency_
offset int - When
frequencyis0(high frequency),frequency_offsetis required and it alone controls how often the monitor should run. Defined in seconds. The allowed values are0(disabled - usefrequencyto define the actual frequency),10(10 seconds),20(20 seconds) and30(30 seconds). - group_
id int - The id of the check group this monitor is part of.
- group_
order int - The position of this monitor in a check group. It determines in what order checks and monitors are run when a group is triggered from the API or from CI/CD.
- locations Sequence[str]
- An array of one or more data center locations where to run this monitor. (Default ["us-east-1"])
- max_
response_ inttime - The response time in milliseconds starting from which a monitor should be considered failing. Possible values are between 0 and 180000. (Default
20000). - muted bool
- Determines if any notifications will be sent out when a monitor fails/degrades/recovers.
- name str
- The name of the monitor.
- private_
locations Sequence[str] - An array of one or more private locations slugs.
- retry_
strategy GrpcMonitor Retry Strategy Args - A strategy for retrying failed check/monitor runs.
- run_
parallel bool - Determines if the monitor should run in all selected locations in parallel or round-robin.
- runtime_
id str - The ID of the runtime to use for this monitor.
- should_
fail bool - Allows to invert the behaviour of when a monitor is considered to fail.
- Sequence[str]
- A list of tags for organizing and filtering checks and monitors.
- trigger_
incident GrpcMonitor Trigger Incident Args - Create and resolve an incident based on the alert configuration. Useful for status page automation.
- use_
global_ boolalert_ settings - When true, the account level alert settings will be used, not the alert setting defined on this monitor.
- activated Boolean
- Determines if the monitor is running or not. Possible values
true, andfalse. - frequency Number
- Controls how often the monitor should run. Defined in minutes. The allowed values are
0(high frequency - usefrequency_offsetto define the actual frequency),1(1 minute),2(2 minutes),5(5 minutes),10(10 minutes),15(15 minutes),30(30 minutes),60(1 hour),120(2 hours),180(3 hours),360(6 hours),720(12 hours) and1440(24 hours). - request Property Map
- The parameters for the gRPC connection.
- alert
Channel List<Property Map>Subscriptions - An array of channel IDs and whether they're activated or not. If you don't set at least one alert channel subscription for your monitor, we won't be able to alert you even if it starts failing.
- alert
Settings Property Map - Determines the alert escalation policy for the monitor.
- degraded
Response NumberTime - The response time in milliseconds starting from which a monitor should be considered degraded. Possible values are between 0 and 180000. (Default
10000). - description String
- A description of the monitor.
- frequency
Offset Number - When
frequencyis0(high frequency),frequency_offsetis required and it alone controls how often the monitor should run. Defined in seconds. The allowed values are0(disabled - usefrequencyto define the actual frequency),10(10 seconds),20(20 seconds) and30(30 seconds). - group
Id Number - The id of the check group this monitor is part of.
- group
Order Number - The position of this monitor in a check group. It determines in what order checks and monitors are run when a group is triggered from the API or from CI/CD.
- locations List<String>
- An array of one or more data center locations where to run this monitor. (Default ["us-east-1"])
- max
Response NumberTime - The response time in milliseconds starting from which a monitor should be considered failing. Possible values are between 0 and 180000. (Default
20000). - muted Boolean
- Determines if any notifications will be sent out when a monitor fails/degrades/recovers.
- name String
- The name of the monitor.
- private
Locations List<String> - An array of one or more private locations slugs.
- retry
Strategy Property Map - A strategy for retrying failed check/monitor runs.
- run
Parallel Boolean - Determines if the monitor should run in all selected locations in parallel or round-robin.
- runtime
Id String - The ID of the runtime to use for this monitor.
- should
Fail Boolean - Allows to invert the behaviour of when a monitor is considered to fail.
- List<String>
- A list of tags for organizing and filtering checks and monitors.
- trigger
Incident Property Map - Create and resolve an incident based on the alert configuration. Useful for status page automation.
- use
Global BooleanAlert Settings - When true, the account level alert settings will be used, not the alert setting defined on this monitor.
Outputs
All input properties are implicitly available as output properties. Additionally, the GrpcMonitor resource produces the following output properties:
- Id string
- The provider-assigned unique ID for this managed resource.
- Id string
- The provider-assigned unique ID for this managed resource.
- id string
- The provider-assigned unique ID for this managed resource.
- id String
- The provider-assigned unique ID for this managed resource.
- id string
- The provider-assigned unique ID for this managed resource.
- id str
- The provider-assigned unique ID for this managed resource.
- id String
- The provider-assigned unique ID for this managed resource.
Look up Existing GrpcMonitor Resource
Get an existing GrpcMonitor resource’s state with the given name, ID, and optional extra properties used to qualify the lookup.
public static get(name: string, id: Input<ID>, state?: GrpcMonitorState, opts?: CustomResourceOptions): GrpcMonitor@staticmethod
def get(resource_name: str,
id: str,
opts: Optional[ResourceOptions] = None,
activated: Optional[bool] = None,
alert_channel_subscriptions: Optional[Sequence[GrpcMonitorAlertChannelSubscriptionArgs]] = None,
alert_settings: Optional[GrpcMonitorAlertSettingsArgs] = None,
degraded_response_time: Optional[int] = None,
description: Optional[str] = None,
frequency: Optional[int] = None,
frequency_offset: Optional[int] = None,
group_id: Optional[int] = None,
group_order: Optional[int] = None,
locations: Optional[Sequence[str]] = None,
max_response_time: Optional[int] = None,
muted: Optional[bool] = None,
name: Optional[str] = None,
private_locations: Optional[Sequence[str]] = None,
request: Optional[GrpcMonitorRequestArgs] = None,
retry_strategy: Optional[GrpcMonitorRetryStrategyArgs] = None,
run_parallel: Optional[bool] = None,
runtime_id: Optional[str] = None,
should_fail: Optional[bool] = None,
tags: Optional[Sequence[str]] = None,
trigger_incident: Optional[GrpcMonitorTriggerIncidentArgs] = None,
use_global_alert_settings: Optional[bool] = None) -> GrpcMonitorfunc GetGrpcMonitor(ctx *Context, name string, id IDInput, state *GrpcMonitorState, opts ...ResourceOption) (*GrpcMonitor, error)public static GrpcMonitor Get(string name, Input<string> id, GrpcMonitorState? state, CustomResourceOptions? opts = null)public static GrpcMonitor get(String name, Output<String> id, GrpcMonitorState state, CustomResourceOptions options)resources: _: type: checkly:GrpcMonitor get: id: ${id}import {
to = checkly_grpc_monitor.example
id = "${id}"
}
- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- resource_name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- Activated bool
- Determines if the monitor is running or not. Possible values
true, andfalse. - Alert
Channel List<GrpcSubscriptions Monitor Alert Channel Subscription> - An array of channel IDs and whether they're activated or not. If you don't set at least one alert channel subscription for your monitor, we won't be able to alert you even if it starts failing.
- Alert
Settings GrpcMonitor Alert Settings - Determines the alert escalation policy for the monitor.
- Degraded
Response intTime - The response time in milliseconds starting from which a monitor should be considered degraded. Possible values are between 0 and 180000. (Default
10000). - Description string
- A description of the monitor.
- Frequency int
- Controls how often the monitor should run. Defined in minutes. The allowed values are
0(high frequency - usefrequency_offsetto define the actual frequency),1(1 minute),2(2 minutes),5(5 minutes),10(10 minutes),15(15 minutes),30(30 minutes),60(1 hour),120(2 hours),180(3 hours),360(6 hours),720(12 hours) and1440(24 hours). - Frequency
Offset int - When
frequencyis0(high frequency),frequency_offsetis required and it alone controls how often the monitor should run. Defined in seconds. The allowed values are0(disabled - usefrequencyto define the actual frequency),10(10 seconds),20(20 seconds) and30(30 seconds). - Group
Id int - The id of the check group this monitor is part of.
- Group
Order int - The position of this monitor in a check group. It determines in what order checks and monitors are run when a group is triggered from the API or from CI/CD.
- Locations List<string>
- An array of one or more data center locations where to run this monitor. (Default ["us-east-1"])
- Max
Response intTime - The response time in milliseconds starting from which a monitor should be considered failing. Possible values are between 0 and 180000. (Default
20000). - Muted bool
- Determines if any notifications will be sent out when a monitor fails/degrades/recovers.
- Name string
- The name of the monitor.
- Private
Locations List<string> - An array of one or more private locations slugs.
- Request
Grpc
Monitor Request - The parameters for the gRPC connection.
- Retry
Strategy GrpcMonitor Retry Strategy - A strategy for retrying failed check/monitor runs.
- Run
Parallel bool - Determines if the monitor should run in all selected locations in parallel or round-robin.
- Runtime
Id string - The ID of the runtime to use for this monitor.
- Should
Fail bool - Allows to invert the behaviour of when a monitor is considered to fail.
- List<string>
- A list of tags for organizing and filtering checks and monitors.
- Trigger
Incident GrpcMonitor Trigger Incident - Create and resolve an incident based on the alert configuration. Useful for status page automation.
- Use
Global boolAlert Settings - When true, the account level alert settings will be used, not the alert setting defined on this monitor.
- Activated bool
- Determines if the monitor is running or not. Possible values
true, andfalse. - Alert
Channel []GrpcSubscriptions Monitor Alert Channel Subscription Args - An array of channel IDs and whether they're activated or not. If you don't set at least one alert channel subscription for your monitor, we won't be able to alert you even if it starts failing.
- Alert
Settings GrpcMonitor Alert Settings Args - Determines the alert escalation policy for the monitor.
- Degraded
Response intTime - The response time in milliseconds starting from which a monitor should be considered degraded. Possible values are between 0 and 180000. (Default
10000). - Description string
- A description of the monitor.
- Frequency int
- Controls how often the monitor should run. Defined in minutes. The allowed values are
0(high frequency - usefrequency_offsetto define the actual frequency),1(1 minute),2(2 minutes),5(5 minutes),10(10 minutes),15(15 minutes),30(30 minutes),60(1 hour),120(2 hours),180(3 hours),360(6 hours),720(12 hours) and1440(24 hours). - Frequency
Offset int - When
frequencyis0(high frequency),frequency_offsetis required and it alone controls how often the monitor should run. Defined in seconds. The allowed values are0(disabled - usefrequencyto define the actual frequency),10(10 seconds),20(20 seconds) and30(30 seconds). - Group
Id int - The id of the check group this monitor is part of.
- Group
Order int - The position of this monitor in a check group. It determines in what order checks and monitors are run when a group is triggered from the API or from CI/CD.
- Locations []string
- An array of one or more data center locations where to run this monitor. (Default ["us-east-1"])
- Max
Response intTime - The response time in milliseconds starting from which a monitor should be considered failing. Possible values are between 0 and 180000. (Default
20000). - Muted bool
- Determines if any notifications will be sent out when a monitor fails/degrades/recovers.
- Name string
- The name of the monitor.
- Private
Locations []string - An array of one or more private locations slugs.
- Request
Grpc
Monitor Request Args - The parameters for the gRPC connection.
- Retry
Strategy GrpcMonitor Retry Strategy Args - A strategy for retrying failed check/monitor runs.
- Run
Parallel bool - Determines if the monitor should run in all selected locations in parallel or round-robin.
- Runtime
Id string - The ID of the runtime to use for this monitor.
- Should
Fail bool - Allows to invert the behaviour of when a monitor is considered to fail.
- []string
- A list of tags for organizing and filtering checks and monitors.
- Trigger
Incident GrpcMonitor Trigger Incident Args - Create and resolve an incident based on the alert configuration. Useful for status page automation.
- Use
Global boolAlert Settings - When true, the account level alert settings will be used, not the alert setting defined on this monitor.
- activated bool
- Determines if the monitor is running or not. Possible values
true, andfalse. - alert_
channel_ list(object)subscriptions - An array of channel IDs and whether they're activated or not. If you don't set at least one alert channel subscription for your monitor, we won't be able to alert you even if it starts failing.
- alert_
settings object - Determines the alert escalation policy for the monitor.
- degraded_
response_ numbertime - The response time in milliseconds starting from which a monitor should be considered degraded. Possible values are between 0 and 180000. (Default
10000). - description string
- A description of the monitor.
- frequency number
- Controls how often the monitor should run. Defined in minutes. The allowed values are
0(high frequency - usefrequency_offsetto define the actual frequency),1(1 minute),2(2 minutes),5(5 minutes),10(10 minutes),15(15 minutes),30(30 minutes),60(1 hour),120(2 hours),180(3 hours),360(6 hours),720(12 hours) and1440(24 hours). - frequency_
offset number - When
frequencyis0(high frequency),frequency_offsetis required and it alone controls how often the monitor should run. Defined in seconds. The allowed values are0(disabled - usefrequencyto define the actual frequency),10(10 seconds),20(20 seconds) and30(30 seconds). - group_
id number - The id of the check group this monitor is part of.
- group_
order number - The position of this monitor in a check group. It determines in what order checks and monitors are run when a group is triggered from the API or from CI/CD.
- locations list(string)
- An array of one or more data center locations where to run this monitor. (Default ["us-east-1"])
- max_
response_ numbertime - The response time in milliseconds starting from which a monitor should be considered failing. Possible values are between 0 and 180000. (Default
20000). - muted bool
- Determines if any notifications will be sent out when a monitor fails/degrades/recovers.
- name string
- The name of the monitor.
- private_
locations list(string) - An array of one or more private locations slugs.
- request object
- The parameters for the gRPC connection.
- retry_
strategy object - A strategy for retrying failed check/monitor runs.
- run_
parallel bool - Determines if the monitor should run in all selected locations in parallel or round-robin.
- runtime_
id string - The ID of the runtime to use for this monitor.
- should_
fail bool - Allows to invert the behaviour of when a monitor is considered to fail.
- list(string)
- A list of tags for organizing and filtering checks and monitors.
- trigger_
incident object - Create and resolve an incident based on the alert configuration. Useful for status page automation.
- use_
global_ boolalert_ settings - When true, the account level alert settings will be used, not the alert setting defined on this monitor.
- activated Boolean
- Determines if the monitor is running or not. Possible values
true, andfalse. - alert
Channel List<GrpcSubscriptions Monitor Alert Channel Subscription> - An array of channel IDs and whether they're activated or not. If you don't set at least one alert channel subscription for your monitor, we won't be able to alert you even if it starts failing.
- alert
Settings GrpcMonitor Alert Settings - Determines the alert escalation policy for the monitor.
- degraded
Response IntegerTime - The response time in milliseconds starting from which a monitor should be considered degraded. Possible values are between 0 and 180000. (Default
10000). - description String
- A description of the monitor.
- frequency Integer
- Controls how often the monitor should run. Defined in minutes. The allowed values are
0(high frequency - usefrequency_offsetto define the actual frequency),1(1 minute),2(2 minutes),5(5 minutes),10(10 minutes),15(15 minutes),30(30 minutes),60(1 hour),120(2 hours),180(3 hours),360(6 hours),720(12 hours) and1440(24 hours). - frequency
Offset Integer - When
frequencyis0(high frequency),frequency_offsetis required and it alone controls how often the monitor should run. Defined in seconds. The allowed values are0(disabled - usefrequencyto define the actual frequency),10(10 seconds),20(20 seconds) and30(30 seconds). - group
Id Integer - The id of the check group this monitor is part of.
- group
Order Integer - The position of this monitor in a check group. It determines in what order checks and monitors are run when a group is triggered from the API or from CI/CD.
- locations List<String>
- An array of one or more data center locations where to run this monitor. (Default ["us-east-1"])
- max
Response IntegerTime - The response time in milliseconds starting from which a monitor should be considered failing. Possible values are between 0 and 180000. (Default
20000). - muted Boolean
- Determines if any notifications will be sent out when a monitor fails/degrades/recovers.
- name String
- The name of the monitor.
- private
Locations List<String> - An array of one or more private locations slugs.
- request
Grpc
Monitor Request - The parameters for the gRPC connection.
- retry
Strategy GrpcMonitor Retry Strategy - A strategy for retrying failed check/monitor runs.
- run
Parallel Boolean - Determines if the monitor should run in all selected locations in parallel or round-robin.
- runtime
Id String - The ID of the runtime to use for this monitor.
- should
Fail Boolean - Allows to invert the behaviour of when a monitor is considered to fail.
- List<String>
- A list of tags for organizing and filtering checks and monitors.
- trigger
Incident GrpcMonitor Trigger Incident - Create and resolve an incident based on the alert configuration. Useful for status page automation.
- use
Global BooleanAlert Settings - When true, the account level alert settings will be used, not the alert setting defined on this monitor.
- activated boolean
- Determines if the monitor is running or not. Possible values
true, andfalse. - alert
Channel GrpcSubscriptions Monitor Alert Channel Subscription[] - An array of channel IDs and whether they're activated or not. If you don't set at least one alert channel subscription for your monitor, we won't be able to alert you even if it starts failing.
- alert
Settings GrpcMonitor Alert Settings - Determines the alert escalation policy for the monitor.
- degraded
Response numberTime - The response time in milliseconds starting from which a monitor should be considered degraded. Possible values are between 0 and 180000. (Default
10000). - description string
- A description of the monitor.
- frequency number
- Controls how often the monitor should run. Defined in minutes. The allowed values are
0(high frequency - usefrequency_offsetto define the actual frequency),1(1 minute),2(2 minutes),5(5 minutes),10(10 minutes),15(15 minutes),30(30 minutes),60(1 hour),120(2 hours),180(3 hours),360(6 hours),720(12 hours) and1440(24 hours). - frequency
Offset number - When
frequencyis0(high frequency),frequency_offsetis required and it alone controls how often the monitor should run. Defined in seconds. The allowed values are0(disabled - usefrequencyto define the actual frequency),10(10 seconds),20(20 seconds) and30(30 seconds). - group
Id number - The id of the check group this monitor is part of.
- group
Order number - The position of this monitor in a check group. It determines in what order checks and monitors are run when a group is triggered from the API or from CI/CD.
- locations string[]
- An array of one or more data center locations where to run this monitor. (Default ["us-east-1"])
- max
Response numberTime - The response time in milliseconds starting from which a monitor should be considered failing. Possible values are between 0 and 180000. (Default
20000). - muted boolean
- Determines if any notifications will be sent out when a monitor fails/degrades/recovers.
- name string
- The name of the monitor.
- private
Locations string[] - An array of one or more private locations slugs.
- request
Grpc
Monitor Request - The parameters for the gRPC connection.
- retry
Strategy GrpcMonitor Retry Strategy - A strategy for retrying failed check/monitor runs.
- run
Parallel boolean - Determines if the monitor should run in all selected locations in parallel or round-robin.
- runtime
Id string - The ID of the runtime to use for this monitor.
- should
Fail boolean - Allows to invert the behaviour of when a monitor is considered to fail.
- string[]
- A list of tags for organizing and filtering checks and monitors.
- trigger
Incident GrpcMonitor Trigger Incident - Create and resolve an incident based on the alert configuration. Useful for status page automation.
- use
Global booleanAlert Settings - When true, the account level alert settings will be used, not the alert setting defined on this monitor.
- activated bool
- Determines if the monitor is running or not. Possible values
true, andfalse. - alert_
channel_ Sequence[Grpcsubscriptions Monitor Alert Channel Subscription Args] - An array of channel IDs and whether they're activated or not. If you don't set at least one alert channel subscription for your monitor, we won't be able to alert you even if it starts failing.
- alert_
settings GrpcMonitor Alert Settings Args - Determines the alert escalation policy for the monitor.
- degraded_
response_ inttime - The response time in milliseconds starting from which a monitor should be considered degraded. Possible values are between 0 and 180000. (Default
10000). - description str
- A description of the monitor.
- frequency int
- Controls how often the monitor should run. Defined in minutes. The allowed values are
0(high frequency - usefrequency_offsetto define the actual frequency),1(1 minute),2(2 minutes),5(5 minutes),10(10 minutes),15(15 minutes),30(30 minutes),60(1 hour),120(2 hours),180(3 hours),360(6 hours),720(12 hours) and1440(24 hours). - frequency_
offset int - When
frequencyis0(high frequency),frequency_offsetis required and it alone controls how often the monitor should run. Defined in seconds. The allowed values are0(disabled - usefrequencyto define the actual frequency),10(10 seconds),20(20 seconds) and30(30 seconds). - group_
id int - The id of the check group this monitor is part of.
- group_
order int - The position of this monitor in a check group. It determines in what order checks and monitors are run when a group is triggered from the API or from CI/CD.
- locations Sequence[str]
- An array of one or more data center locations where to run this monitor. (Default ["us-east-1"])
- max_
response_ inttime - The response time in milliseconds starting from which a monitor should be considered failing. Possible values are between 0 and 180000. (Default
20000). - muted bool
- Determines if any notifications will be sent out when a monitor fails/degrades/recovers.
- name str
- The name of the monitor.
- private_
locations Sequence[str] - An array of one or more private locations slugs.
- request
Grpc
Monitor Request Args - The parameters for the gRPC connection.
- retry_
strategy GrpcMonitor Retry Strategy Args - A strategy for retrying failed check/monitor runs.
- run_
parallel bool - Determines if the monitor should run in all selected locations in parallel or round-robin.
- runtime_
id str - The ID of the runtime to use for this monitor.
- should_
fail bool - Allows to invert the behaviour of when a monitor is considered to fail.
- Sequence[str]
- A list of tags for organizing and filtering checks and monitors.
- trigger_
incident GrpcMonitor Trigger Incident Args - Create and resolve an incident based on the alert configuration. Useful for status page automation.
- use_
global_ boolalert_ settings - When true, the account level alert settings will be used, not the alert setting defined on this monitor.
- activated Boolean
- Determines if the monitor is running or not. Possible values
true, andfalse. - alert
Channel List<Property Map>Subscriptions - An array of channel IDs and whether they're activated or not. If you don't set at least one alert channel subscription for your monitor, we won't be able to alert you even if it starts failing.
- alert
Settings Property Map - Determines the alert escalation policy for the monitor.
- degraded
Response NumberTime - The response time in milliseconds starting from which a monitor should be considered degraded. Possible values are between 0 and 180000. (Default
10000). - description String
- A description of the monitor.
- frequency Number
- Controls how often the monitor should run. Defined in minutes. The allowed values are
0(high frequency - usefrequency_offsetto define the actual frequency),1(1 minute),2(2 minutes),5(5 minutes),10(10 minutes),15(15 minutes),30(30 minutes),60(1 hour),120(2 hours),180(3 hours),360(6 hours),720(12 hours) and1440(24 hours). - frequency
Offset Number - When
frequencyis0(high frequency),frequency_offsetis required and it alone controls how often the monitor should run. Defined in seconds. The allowed values are0(disabled - usefrequencyto define the actual frequency),10(10 seconds),20(20 seconds) and30(30 seconds). - group
Id Number - The id of the check group this monitor is part of.
- group
Order Number - The position of this monitor in a check group. It determines in what order checks and monitors are run when a group is triggered from the API or from CI/CD.
- locations List<String>
- An array of one or more data center locations where to run this monitor. (Default ["us-east-1"])
- max
Response NumberTime - The response time in milliseconds starting from which a monitor should be considered failing. Possible values are between 0 and 180000. (Default
20000). - muted Boolean
- Determines if any notifications will be sent out when a monitor fails/degrades/recovers.
- name String
- The name of the monitor.
- private
Locations List<String> - An array of one or more private locations slugs.
- request Property Map
- The parameters for the gRPC connection.
- retry
Strategy Property Map - A strategy for retrying failed check/monitor runs.
- run
Parallel Boolean - Determines if the monitor should run in all selected locations in parallel or round-robin.
- runtime
Id String - The ID of the runtime to use for this monitor.
- should
Fail Boolean - Allows to invert the behaviour of when a monitor is considered to fail.
- List<String>
- A list of tags for organizing and filtering checks and monitors.
- trigger
Incident Property Map - Create and resolve an incident based on the alert configuration. Useful for status page automation.
- use
Global BooleanAlert Settings - When true, the account level alert settings will be used, not the alert setting defined on this monitor.
Supporting Types
GrpcMonitorAlertChannelSubscription, GrpcMonitorAlertChannelSubscriptionArgs
- activated bool
- Whether an alert should be sent to this channel.
- channel_
id number - The ID of the alert channel.
- activated bool
- Whether an alert should be sent to this channel.
- channel_
id int - The ID of the alert channel.
GrpcMonitorAlertSettings, GrpcMonitorAlertSettingsArgs
- Escalation
Type string - Determines the type of escalation to use. Possible values are
RUN_BASEDandTIME_BASED. (DefaultRUN_BASED). - Parallel
Run List<GrpcFailure Thresholds Monitor Alert Settings Parallel Run Failure Threshold> - Configuration for parallel run failure threshold.
- Reminders
List<Grpc
Monitor Alert Settings Reminder> - Defines how often to send reminder notifications after initial alert.
- Run
Based List<GrpcEscalations Monitor Alert Settings Run Based Escalation> - Configuration for run-based escalation.
- Time
Based List<GrpcEscalations Monitor Alert Settings Time Based Escalation> - Configuration for time-based escalation.
- Escalation
Type string - Determines the type of escalation to use. Possible values are
RUN_BASEDandTIME_BASED. (DefaultRUN_BASED). - Parallel
Run []GrpcFailure Thresholds Monitor Alert Settings Parallel Run Failure Threshold - Configuration for parallel run failure threshold.
- Reminders
[]Grpc
Monitor Alert Settings Reminder - Defines how often to send reminder notifications after initial alert.
- Run
Based []GrpcEscalations Monitor Alert Settings Run Based Escalation - Configuration for run-based escalation.
- Time
Based []GrpcEscalations Monitor Alert Settings Time Based Escalation - Configuration for time-based escalation.
- escalation_
type string - Determines the type of escalation to use. Possible values are
RUN_BASEDandTIME_BASED. (DefaultRUN_BASED). - parallel_
run_ list(object)failure_ thresholds - Configuration for parallel run failure threshold.
- reminders list(object)
- Defines how often to send reminder notifications after initial alert.
- run_
based_ list(object)escalations - Configuration for run-based escalation.
- time_
based_ list(object)escalations - Configuration for time-based escalation.
- escalation
Type String - Determines the type of escalation to use. Possible values are
RUN_BASEDandTIME_BASED. (DefaultRUN_BASED). - parallel
Run List<GrpcFailure Thresholds Monitor Alert Settings Parallel Run Failure Threshold> - Configuration for parallel run failure threshold.
- reminders
List<Grpc
Monitor Alert Settings Reminder> - Defines how often to send reminder notifications after initial alert.
- run
Based List<GrpcEscalations Monitor Alert Settings Run Based Escalation> - Configuration for run-based escalation.
- time
Based List<GrpcEscalations Monitor Alert Settings Time Based Escalation> - Configuration for time-based escalation.
- escalation
Type string - Determines the type of escalation to use. Possible values are
RUN_BASEDandTIME_BASED. (DefaultRUN_BASED). - parallel
Run GrpcFailure Thresholds Monitor Alert Settings Parallel Run Failure Threshold[] - Configuration for parallel run failure threshold.
- reminders
Grpc
Monitor Alert Settings Reminder[] - Defines how often to send reminder notifications after initial alert.
- run
Based GrpcEscalations Monitor Alert Settings Run Based Escalation[] - Configuration for run-based escalation.
- time
Based GrpcEscalations Monitor Alert Settings Time Based Escalation[] - Configuration for time-based escalation.
- escalation_
type str - Determines the type of escalation to use. Possible values are
RUN_BASEDandTIME_BASED. (DefaultRUN_BASED). - parallel_
run_ Sequence[Grpcfailure_ thresholds Monitor Alert Settings Parallel Run Failure Threshold] - Configuration for parallel run failure threshold.
- reminders
Sequence[Grpc
Monitor Alert Settings Reminder] - Defines how often to send reminder notifications after initial alert.
- run_
based_ Sequence[Grpcescalations Monitor Alert Settings Run Based Escalation] - Configuration for run-based escalation.
- time_
based_ Sequence[Grpcescalations Monitor Alert Settings Time Based Escalation] - Configuration for time-based escalation.
- escalation
Type String - Determines the type of escalation to use. Possible values are
RUN_BASEDandTIME_BASED. (DefaultRUN_BASED). - parallel
Run List<Property Map>Failure Thresholds - Configuration for parallel run failure threshold.
- reminders List<Property Map>
- Defines how often to send reminder notifications after initial alert.
- run
Based List<Property Map>Escalations - Configuration for run-based escalation.
- time
Based List<Property Map>Escalations - Configuration for time-based escalation.
GrpcMonitorAlertSettingsParallelRunFailureThreshold, GrpcMonitorAlertSettingsParallelRunFailureThresholdArgs
- Enabled bool
- Whether parallel run failure threshold is enabled. Only applies if the monitor is scheduled for multiple locations in parallel. (Default
false). - Percentage int
- Percentage of runs that must fail to trigger alert. Possible values are
10,20,30,40,50,60,70,80,90, and100. (Default10).
- Enabled bool
- Whether parallel run failure threshold is enabled. Only applies if the monitor is scheduled for multiple locations in parallel. (Default
false). - Percentage int
- Percentage of runs that must fail to trigger alert. Possible values are
10,20,30,40,50,60,70,80,90, and100. (Default10).
- enabled bool
- Whether parallel run failure threshold is enabled. Only applies if the monitor is scheduled for multiple locations in parallel. (Default
false). - percentage number
- Percentage of runs that must fail to trigger alert. Possible values are
10,20,30,40,50,60,70,80,90, and100. (Default10).
- enabled Boolean
- Whether parallel run failure threshold is enabled. Only applies if the monitor is scheduled for multiple locations in parallel. (Default
false). - percentage Integer
- Percentage of runs that must fail to trigger alert. Possible values are
10,20,30,40,50,60,70,80,90, and100. (Default10).
- enabled boolean
- Whether parallel run failure threshold is enabled. Only applies if the monitor is scheduled for multiple locations in parallel. (Default
false). - percentage number
- Percentage of runs that must fail to trigger alert. Possible values are
10,20,30,40,50,60,70,80,90, and100. (Default10).
- enabled bool
- Whether parallel run failure threshold is enabled. Only applies if the monitor is scheduled for multiple locations in parallel. (Default
false). - percentage int
- Percentage of runs that must fail to trigger alert. Possible values are
10,20,30,40,50,60,70,80,90, and100. (Default10).
- enabled Boolean
- Whether parallel run failure threshold is enabled. Only applies if the monitor is scheduled for multiple locations in parallel. (Default
false). - percentage Number
- Percentage of runs that must fail to trigger alert. Possible values are
10,20,30,40,50,60,70,80,90, and100. (Default10).
GrpcMonitorAlertSettingsReminder, GrpcMonitorAlertSettingsReminderArgs
GrpcMonitorAlertSettingsRunBasedEscalation, GrpcMonitorAlertSettingsRunBasedEscalationArgs
- Failed
Run intThreshold - Send an alert notification after the given number of consecutive monitor runs have failed. Possible values are between
1and5. (Default1).
- Failed
Run intThreshold - Send an alert notification after the given number of consecutive monitor runs have failed. Possible values are between
1and5. (Default1).
- failed_
run_ numberthreshold - Send an alert notification after the given number of consecutive monitor runs have failed. Possible values are between
1and5. (Default1).
- failed
Run IntegerThreshold - Send an alert notification after the given number of consecutive monitor runs have failed. Possible values are between
1and5. (Default1).
- failed
Run numberThreshold - Send an alert notification after the given number of consecutive monitor runs have failed. Possible values are between
1and5. (Default1).
- failed_
run_ intthreshold - Send an alert notification after the given number of consecutive monitor runs have failed. Possible values are between
1and5. (Default1).
- failed
Run NumberThreshold - Send an alert notification after the given number of consecutive monitor runs have failed. Possible values are between
1and5. (Default1).
GrpcMonitorAlertSettingsTimeBasedEscalation, GrpcMonitorAlertSettingsTimeBasedEscalationArgs
- Minutes
Failing intThreshold - Send an alert notification after the monitor has been failing for the given amount of time (in minutes). Possible values are
5,10,15, and30. (Default5).
- Minutes
Failing intThreshold - Send an alert notification after the monitor has been failing for the given amount of time (in minutes). Possible values are
5,10,15, and30. (Default5).
- minutes_
failing_ numberthreshold - Send an alert notification after the monitor has been failing for the given amount of time (in minutes). Possible values are
5,10,15, and30. (Default5).
- minutes
Failing IntegerThreshold - Send an alert notification after the monitor has been failing for the given amount of time (in minutes). Possible values are
5,10,15, and30. (Default5).
- minutes
Failing numberThreshold - Send an alert notification after the monitor has been failing for the given amount of time (in minutes). Possible values are
5,10,15, and30. (Default5).
- minutes_
failing_ intthreshold - Send an alert notification after the monitor has been failing for the given amount of time (in minutes). Possible values are
5,10,15, and30. (Default5).
- minutes
Failing NumberThreshold - Send an alert notification after the monitor has been failing for the given amount of time (in minutes). Possible values are
5,10,15, and30. (Default5).
GrpcMonitorRequest, GrpcMonitorRequestArgs
- Host string
- The host to connect to. Do not include a scheme or a port in this value.
- Port int
- The port number to connect to. Possible values are between 1 and 65535.
- Assertions
List<Grpc
Monitor Request Assertion> - A request can have multiple assertions. The allowed comparisons, properties, and target formats depend on the assertion source — see the Assertion Reference below.
- Grpc
Mode string - The gRPC monitoring mode.
BEHAVIORinvokes a unary method (requiresmethod);HEALTHqueries the standard gRPC health-check service (allowsservice). (DefaultBEHAVIOR). - Ip
Family string - The IP family to use when executing the gRPC check. The value can be either
IPv4orIPv6. (DefaultIPv4). - Message string
- The JSON request message sent as the gRPC call payload in
BEHAVIORmode. - Metadatas
List<Grpc
Monitor Request Metadata> - gRPC metadata (request headers) sent with the call.
- Method string
- The fully-qualified gRPC method to invoke in
BEHAVIORmode (e.g.package.Service/Method). Required inBEHAVIORmode; forbidden inHEALTHmode. - Proto
Content string - The inline
.protofile source used whenservice_definition = "PROTO_FILE"inBEHAVIORmode. - Service string
- The service name to query in
HEALTHmode. An empty value queries overall server health. Forbidden inBEHAVIORmode. - Service
Definition string - How the service definition is resolved in
BEHAVIORmode:REFLECTIONuses server reflection;PROTO_FILEuses the inlineproto_content. (DefaultREFLECTION). - Skip
Ssl bool - Whether to skip SSL certificate validation when
tlsis enabled. (Defaultfalse). - Timeout int
- The number of seconds to wait for the gRPC call to complete before timing out. Possible values are between 1 and 180. (Default
60). - Tls bool
- Whether to use a TLS-encrypted connection to the gRPC server. (Default
true).
- Host string
- The host to connect to. Do not include a scheme or a port in this value.
- Port int
- The port number to connect to. Possible values are between 1 and 65535.
- Assertions
[]Grpc
Monitor Request Assertion - A request can have multiple assertions. The allowed comparisons, properties, and target formats depend on the assertion source — see the Assertion Reference below.
- Grpc
Mode string - The gRPC monitoring mode.
BEHAVIORinvokes a unary method (requiresmethod);HEALTHqueries the standard gRPC health-check service (allowsservice). (DefaultBEHAVIOR). - Ip
Family string - The IP family to use when executing the gRPC check. The value can be either
IPv4orIPv6. (DefaultIPv4). - Message string
- The JSON request message sent as the gRPC call payload in
BEHAVIORmode. - Metadatas
[]Grpc
Monitor Request Metadata - gRPC metadata (request headers) sent with the call.
- Method string
- The fully-qualified gRPC method to invoke in
BEHAVIORmode (e.g.package.Service/Method). Required inBEHAVIORmode; forbidden inHEALTHmode. - Proto
Content string - The inline
.protofile source used whenservice_definition = "PROTO_FILE"inBEHAVIORmode. - Service string
- The service name to query in
HEALTHmode. An empty value queries overall server health. Forbidden inBEHAVIORmode. - Service
Definition string - How the service definition is resolved in
BEHAVIORmode:REFLECTIONuses server reflection;PROTO_FILEuses the inlineproto_content. (DefaultREFLECTION). - Skip
Ssl bool - Whether to skip SSL certificate validation when
tlsis enabled. (Defaultfalse). - Timeout int
- The number of seconds to wait for the gRPC call to complete before timing out. Possible values are between 1 and 180. (Default
60). - Tls bool
- Whether to use a TLS-encrypted connection to the gRPC server. (Default
true).
- host string
- The host to connect to. Do not include a scheme or a port in this value.
- port number
- The port number to connect to. Possible values are between 1 and 65535.
- assertions list(object)
- A request can have multiple assertions. The allowed comparisons, properties, and target formats depend on the assertion source — see the Assertion Reference below.
- grpc_
mode string - The gRPC monitoring mode.
BEHAVIORinvokes a unary method (requiresmethod);HEALTHqueries the standard gRPC health-check service (allowsservice). (DefaultBEHAVIOR). - ip_
family string - The IP family to use when executing the gRPC check. The value can be either
IPv4orIPv6. (DefaultIPv4). - message string
- The JSON request message sent as the gRPC call payload in
BEHAVIORmode. - metadatas list(object)
- gRPC metadata (request headers) sent with the call.
- method string
- The fully-qualified gRPC method to invoke in
BEHAVIORmode (e.g.package.Service/Method). Required inBEHAVIORmode; forbidden inHEALTHmode. - proto_
content string - The inline
.protofile source used whenservice_definition = "PROTO_FILE"inBEHAVIORmode. - service string
- The service name to query in
HEALTHmode. An empty value queries overall server health. Forbidden inBEHAVIORmode. - service_
definition string - How the service definition is resolved in
BEHAVIORmode:REFLECTIONuses server reflection;PROTO_FILEuses the inlineproto_content. (DefaultREFLECTION). - skip_
ssl bool - Whether to skip SSL certificate validation when
tlsis enabled. (Defaultfalse). - timeout number
- The number of seconds to wait for the gRPC call to complete before timing out. Possible values are between 1 and 180. (Default
60). - tls bool
- Whether to use a TLS-encrypted connection to the gRPC server. (Default
true).
- host String
- The host to connect to. Do not include a scheme or a port in this value.
- port Integer
- The port number to connect to. Possible values are between 1 and 65535.
- assertions
List<Grpc
Monitor Request Assertion> - A request can have multiple assertions. The allowed comparisons, properties, and target formats depend on the assertion source — see the Assertion Reference below.
- grpc
Mode String - The gRPC monitoring mode.
BEHAVIORinvokes a unary method (requiresmethod);HEALTHqueries the standard gRPC health-check service (allowsservice). (DefaultBEHAVIOR). - ip
Family String - The IP family to use when executing the gRPC check. The value can be either
IPv4orIPv6. (DefaultIPv4). - message String
- The JSON request message sent as the gRPC call payload in
BEHAVIORmode. - metadatas
List<Grpc
Monitor Request Metadata> - gRPC metadata (request headers) sent with the call.
- method String
- The fully-qualified gRPC method to invoke in
BEHAVIORmode (e.g.package.Service/Method). Required inBEHAVIORmode; forbidden inHEALTHmode. - proto
Content String - The inline
.protofile source used whenservice_definition = "PROTO_FILE"inBEHAVIORmode. - service String
- The service name to query in
HEALTHmode. An empty value queries overall server health. Forbidden inBEHAVIORmode. - service
Definition String - How the service definition is resolved in
BEHAVIORmode:REFLECTIONuses server reflection;PROTO_FILEuses the inlineproto_content. (DefaultREFLECTION). - skip
Ssl Boolean - Whether to skip SSL certificate validation when
tlsis enabled. (Defaultfalse). - timeout Integer
- The number of seconds to wait for the gRPC call to complete before timing out. Possible values are between 1 and 180. (Default
60). - tls Boolean
- Whether to use a TLS-encrypted connection to the gRPC server. (Default
true).
- host string
- The host to connect to. Do not include a scheme or a port in this value.
- port number
- The port number to connect to. Possible values are between 1 and 65535.
- assertions
Grpc
Monitor Request Assertion[] - A request can have multiple assertions. The allowed comparisons, properties, and target formats depend on the assertion source — see the Assertion Reference below.
- grpc
Mode string - The gRPC monitoring mode.
BEHAVIORinvokes a unary method (requiresmethod);HEALTHqueries the standard gRPC health-check service (allowsservice). (DefaultBEHAVIOR). - ip
Family string - The IP family to use when executing the gRPC check. The value can be either
IPv4orIPv6. (DefaultIPv4). - message string
- The JSON request message sent as the gRPC call payload in
BEHAVIORmode. - metadatas
Grpc
Monitor Request Metadata[] - gRPC metadata (request headers) sent with the call.
- method string
- The fully-qualified gRPC method to invoke in
BEHAVIORmode (e.g.package.Service/Method). Required inBEHAVIORmode; forbidden inHEALTHmode. - proto
Content string - The inline
.protofile source used whenservice_definition = "PROTO_FILE"inBEHAVIORmode. - service string
- The service name to query in
HEALTHmode. An empty value queries overall server health. Forbidden inBEHAVIORmode. - service
Definition string - How the service definition is resolved in
BEHAVIORmode:REFLECTIONuses server reflection;PROTO_FILEuses the inlineproto_content. (DefaultREFLECTION). - skip
Ssl boolean - Whether to skip SSL certificate validation when
tlsis enabled. (Defaultfalse). - timeout number
- The number of seconds to wait for the gRPC call to complete before timing out. Possible values are between 1 and 180. (Default
60). - tls boolean
- Whether to use a TLS-encrypted connection to the gRPC server. (Default
true).
- host str
- The host to connect to. Do not include a scheme or a port in this value.
- port int
- The port number to connect to. Possible values are between 1 and 65535.
- assertions
Sequence[Grpc
Monitor Request Assertion] - A request can have multiple assertions. The allowed comparisons, properties, and target formats depend on the assertion source — see the Assertion Reference below.
- grpc_
mode str - The gRPC monitoring mode.
BEHAVIORinvokes a unary method (requiresmethod);HEALTHqueries the standard gRPC health-check service (allowsservice). (DefaultBEHAVIOR). - ip_
family str - The IP family to use when executing the gRPC check. The value can be either
IPv4orIPv6. (DefaultIPv4). - message str
- The JSON request message sent as the gRPC call payload in
BEHAVIORmode. - metadatas
Sequence[Grpc
Monitor Request Metadata] - gRPC metadata (request headers) sent with the call.
- method str
- The fully-qualified gRPC method to invoke in
BEHAVIORmode (e.g.package.Service/Method). Required inBEHAVIORmode; forbidden inHEALTHmode. - proto_
content str - The inline
.protofile source used whenservice_definition = "PROTO_FILE"inBEHAVIORmode. - service str
- The service name to query in
HEALTHmode. An empty value queries overall server health. Forbidden inBEHAVIORmode. - service_
definition str - How the service definition is resolved in
BEHAVIORmode:REFLECTIONuses server reflection;PROTO_FILEuses the inlineproto_content. (DefaultREFLECTION). - skip_
ssl bool - Whether to skip SSL certificate validation when
tlsis enabled. (Defaultfalse). - timeout int
- The number of seconds to wait for the gRPC call to complete before timing out. Possible values are between 1 and 180. (Default
60). - tls bool
- Whether to use a TLS-encrypted connection to the gRPC server. (Default
true).
- host String
- The host to connect to. Do not include a scheme or a port in this value.
- port Number
- The port number to connect to. Possible values are between 1 and 65535.
- assertions List<Property Map>
- A request can have multiple assertions. The allowed comparisons, properties, and target formats depend on the assertion source — see the Assertion Reference below.
- grpc
Mode String - The gRPC monitoring mode.
BEHAVIORinvokes a unary method (requiresmethod);HEALTHqueries the standard gRPC health-check service (allowsservice). (DefaultBEHAVIOR). - ip
Family String - The IP family to use when executing the gRPC check. The value can be either
IPv4orIPv6. (DefaultIPv4). - message String
- The JSON request message sent as the gRPC call payload in
BEHAVIORmode. - metadatas List<Property Map>
- gRPC metadata (request headers) sent with the call.
- method String
- The fully-qualified gRPC method to invoke in
BEHAVIORmode (e.g.package.Service/Method). Required inBEHAVIORmode; forbidden inHEALTHmode. - proto
Content String - The inline
.protofile source used whenservice_definition = "PROTO_FILE"inBEHAVIORmode. - service String
- The service name to query in
HEALTHmode. An empty value queries overall server health. Forbidden inBEHAVIORmode. - service
Definition String - How the service definition is resolved in
BEHAVIORmode:REFLECTIONuses server reflection;PROTO_FILEuses the inlineproto_content. (DefaultREFLECTION). - skip
Ssl Boolean - Whether to skip SSL certificate validation when
tlsis enabled. (Defaultfalse). - timeout Number
- The number of seconds to wait for the gRPC call to complete before timing out. Possible values are between 1 and 180. (Default
60). - tls Boolean
- Whether to use a TLS-encrypted connection to the gRPC server. (Default
true).
GrpcMonitorRequestAssertion, GrpcMonitorRequestAssertionArgs
- Comparison string
- The type of comparison to be executed between expected and actual value of the assertion. For
GRPC_RESPONSE,TEXT_BODYandGRPC_METADATA, possible values areEQUALS,NOT_EQUALS,HAS_KEY,NOT_HAS_KEY,HAS_VALUE,NOT_HAS_VALUE,IS_EMPTY,NOT_EMPTY,GREATER_THAN,LESS_THAN,CONTAINS,NOT_CONTAINS,IS_NULL, andNOT_NULL. ForRESPONSE_TIMEandGRPC_STATUS_CODE, possible values areEQUALS,NOT_EQUALS,GREATER_THAN, andLESS_THAN. ForGRPC_HEALTHCHECK_STATUS, possible values areEQUALSandNOT_EQUALS. - Source string
- The source of the asserted value. Possible values are
RESPONSE_TIME,GRPC_RESPONSE,TEXT_BODY,GRPC_METADATA,GRPC_HEALTHCHECK_STATUS, andGRPC_STATUS_CODE. - Property string
- The property selecting the asserted value within the source, e.g. a JSONPath expression for
GRPC_RESPONSEor a metadata key forGRPC_METADATA. - Target string
- The value to compare against. Must be numeric for
RESPONSE_TIME(milliseconds),GRPC_STATUS_CODE(0-16), andGRPC_HEALTHCHECK_STATUS(0-3, where 0=UNKNOWN, 1=SERVING, 2=NOTSERVING, 3=SERVICEUNKNOWN).
- Comparison string
- The type of comparison to be executed between expected and actual value of the assertion. For
GRPC_RESPONSE,TEXT_BODYandGRPC_METADATA, possible values areEQUALS,NOT_EQUALS,HAS_KEY,NOT_HAS_KEY,HAS_VALUE,NOT_HAS_VALUE,IS_EMPTY,NOT_EMPTY,GREATER_THAN,LESS_THAN,CONTAINS,NOT_CONTAINS,IS_NULL, andNOT_NULL. ForRESPONSE_TIMEandGRPC_STATUS_CODE, possible values areEQUALS,NOT_EQUALS,GREATER_THAN, andLESS_THAN. ForGRPC_HEALTHCHECK_STATUS, possible values areEQUALSandNOT_EQUALS. - Source string
- The source of the asserted value. Possible values are
RESPONSE_TIME,GRPC_RESPONSE,TEXT_BODY,GRPC_METADATA,GRPC_HEALTHCHECK_STATUS, andGRPC_STATUS_CODE. - Property string
- The property selecting the asserted value within the source, e.g. a JSONPath expression for
GRPC_RESPONSEor a metadata key forGRPC_METADATA. - Target string
- The value to compare against. Must be numeric for
RESPONSE_TIME(milliseconds),GRPC_STATUS_CODE(0-16), andGRPC_HEALTHCHECK_STATUS(0-3, where 0=UNKNOWN, 1=SERVING, 2=NOTSERVING, 3=SERVICEUNKNOWN).
- comparison string
- The type of comparison to be executed between expected and actual value of the assertion. For
GRPC_RESPONSE,TEXT_BODYandGRPC_METADATA, possible values areEQUALS,NOT_EQUALS,HAS_KEY,NOT_HAS_KEY,HAS_VALUE,NOT_HAS_VALUE,IS_EMPTY,NOT_EMPTY,GREATER_THAN,LESS_THAN,CONTAINS,NOT_CONTAINS,IS_NULL, andNOT_NULL. ForRESPONSE_TIMEandGRPC_STATUS_CODE, possible values areEQUALS,NOT_EQUALS,GREATER_THAN, andLESS_THAN. ForGRPC_HEALTHCHECK_STATUS, possible values areEQUALSandNOT_EQUALS. - source string
- The source of the asserted value. Possible values are
RESPONSE_TIME,GRPC_RESPONSE,TEXT_BODY,GRPC_METADATA,GRPC_HEALTHCHECK_STATUS, andGRPC_STATUS_CODE. - property string
- The property selecting the asserted value within the source, e.g. a JSONPath expression for
GRPC_RESPONSEor a metadata key forGRPC_METADATA. - target string
- The value to compare against. Must be numeric for
RESPONSE_TIME(milliseconds),GRPC_STATUS_CODE(0-16), andGRPC_HEALTHCHECK_STATUS(0-3, where 0=UNKNOWN, 1=SERVING, 2=NOTSERVING, 3=SERVICEUNKNOWN).
- comparison String
- The type of comparison to be executed between expected and actual value of the assertion. For
[...]
